curl --request PUT \
--url https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/versions/{version_id}/deploy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"id": "<string>",
"environments": [
{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"publicUrl": "<string>",
"config": {
"deploymentSpec": {
"replicas": 123,
"autoscaling": {
"maxReplicas": 123
},
"staticIP": true,
"resources": {
"limits": {
"cpu": "<string>",
"memory": "<string>"
},
"requests": {
"cpu": "<string>",
"memory": "<string>"
}
},
"serviceAccountName": "<string>"
}
},
"executionPool": "<string>",
"files": [
{
"filename": "<string>",
"content": "<string>"
}
],
"labels": {},
"deployedVersion": {
"id": "<string>",
"name": "<string>",
"state": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"labels": {}
}
}
],
"name": "<string>",
"currentFiles": {
"files": [
{
"filename": "<string>",
"content": "<string>"
}
],
"labels": {}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"settings": {
"acceptCodeChangesAutomatically": true,
"testingMockWithAI": true,
"planningChatVersion": "<string>",
"chatStoredInDB": true
},
"metadata": {
"sentimentHistory": [
{
"timestamp": "2023-11-07T05:31:56Z",
"sentimentScore": 123,
"messageId": "<string>"
}
]
},
"dynamicVariablesSchema": {}
}DeployProjectVersion deploys the project to the specified environment using the specified version. If the docker image is not build for the version it will build one.
curl --request PUT \
--url https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/versions/{version_id}/deploy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"id": "<string>",
"environments": [
{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"publicUrl": "<string>",
"config": {
"deploymentSpec": {
"replicas": 123,
"autoscaling": {
"maxReplicas": 123
},
"staticIP": true,
"resources": {
"limits": {
"cpu": "<string>",
"memory": "<string>"
},
"requests": {
"cpu": "<string>",
"memory": "<string>"
}
},
"serviceAccountName": "<string>"
}
},
"executionPool": "<string>",
"files": [
{
"filename": "<string>",
"content": "<string>"
}
],
"labels": {},
"deployedVersion": {
"id": "<string>",
"name": "<string>",
"state": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"labels": {}
}
}
],
"name": "<string>",
"currentFiles": {
"files": [
{
"filename": "<string>",
"content": "<string>"
}
],
"labels": {}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"settings": {
"acceptCodeChangesAutomatically": true,
"testingMockWithAI": true,
"planningChatVersion": "<string>",
"chatStoredInDB": true
},
"metadata": {
"sentimentHistory": [
{
"timestamp": "2023-11-07T05:31:56Z",
"sentimentScore": 123,
"messageId": "<string>"
}
]
},
"dynamicVariablesSchema": {}
}Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.
ProjectVersionDeploy is the payload to deploy a specific version of a project.
OK
The Project represents a deployable unit within our platform that includes both the functional components (files) and configuration. It serves as the backbone of custom or predefined functionalities, allowing organizations to create, update, and manage APIs and projects.
The unique identifier for the project.
List of environments for the project.
Show child attributes
Show child attributes
ProjectSettings hold configuration for the project
Show child attributes
ProjectMetadata hold metadata for the project
Show child attributes
DynamicVariablesSchema is the JSON schema for the project's dynamic variables.